## org.eclipse.datatools.modelbase.sql.datatypes
Class PrimitiveType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.PrimitiveType

public final class PrimitiveType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Primitive Type', and utility methods for working with them. 4.1 Data types A data type is a set of representable values. Every representable value belongs to at least one data type and some belong to several data types. [...] Every predefined data type is a subtype of itself and of no other data types. It follows that every predefined data type is a supertype of itself and of no other data types. The predefined data types are individually described in each of Subclause 4.2, "Character strings", through Subclause 4.6, "Datetimes and intervals". Row types, reference types and collection types are described in Subclause 4.8, "Row types", Subclause 4.9, "Reference types", Subclause 4.10, "Collection types", respectively. SQL defines predefined data types named by the following <key word> s: CHARACTER , CHARACTER VARYING , CHARACTER LARGE OBJECT , BINARY LARGE OBJECT , NUMERIC , DECIMAL , SMALLINT , INTEGER , BIGINT , FLOAT , REAL , DOUBLE PRECISION , BOOLEAN , DATE , TIME , TIMESTAMP , and INTERVAL . These names are used in the type designators that constitute the type precedence lists specified in Subclause 9.5, "Type precedence list determination".

See Also:
  `SQLDataTypesPackage.getPrimitiveType()`, Serialized Form

Field Summary
`static int` `BIGINT` The 'BIGINT' literal value.
`static PrimitiveType` `BIGINT_LITERAL` The 'BIGINT' literal object.
`static int` `BINARY` The 'BINARY' literal value.
`static int` `BINARY_LARGE_OBJECT` The 'BINARY LARGE OBJECT' literal value.
`static PrimitiveType` `BINARY_LARGE_OBJECT_LITERAL` The 'BINARY LARGE OBJECT' literal object.
`static PrimitiveType` `BINARY_LITERAL` The 'BINARY' literal object.
`static int` `BINARY_VARYING` The 'BINARY VARYING' literal value.
`static PrimitiveType` `BINARY_VARYING_LITERAL` The 'BINARY VARYING' literal object.
`static int` `BOOLEAN` The 'BOOLEAN' literal value.
`static PrimitiveType` `BOOLEAN_LITERAL` The 'BOOLEAN' literal object.
`static int` `CHARACTER` The 'CHARACTER' literal value.
`static int` `CHARACTER_LARGE_OBJECT` The 'CHARACTER LARGE OBJECT' literal value.
`static PrimitiveType` `CHARACTER_LARGE_OBJECT_LITERAL` The 'CHARACTER LARGE OBJECT' literal object.
`static PrimitiveType` `CHARACTER_LITERAL` The 'CHARACTER' literal object.
`static int` `CHARACTER_VARYING` The 'CHARACTER VARYING' literal value.
`static PrimitiveType` `CHARACTER_VARYING_LITERAL` The 'CHARACTER VARYING' literal object.
`static int` `DATALINK` The 'DATALINK' literal value.
`static PrimitiveType` `DATALINK_LITERAL` The 'DATALINK' literal object.
`static int` `DATE` The 'DATE' literal value.
`static PrimitiveType` `DATE_LITERAL` The 'DATE' literal object.
`static int` `DECIMAL` The 'DECIMAL' literal value.
`static PrimitiveType` `DECIMAL_LITERAL` The 'DECIMAL' literal object.
`static int` `DOUBLE_PRECISION` The 'DOUBLE PRECISION' literal value.
`static PrimitiveType` `DOUBLE_PRECISION_LITERAL` The 'DOUBLE PRECISION' literal object.
`static int` `FLOAT` The 'FLOAT' literal value.
`static PrimitiveType` `FLOAT_LITERAL` The 'FLOAT' literal object.
`static int` `INTEGER` The 'INTEGER' literal value.
`static PrimitiveType` `INTEGER_LITERAL` The 'INTEGER' literal object.
`static int` `INTERVAL` The 'INTERVAL' literal value.
`static PrimitiveType` `INTERVAL_LITERAL` The 'INTERVAL' literal object.
`static int` `NATIONAL_CHARACTER` The 'NATIONAL CHARACTER' literal value.
`static int` `NATIONAL_CHARACTER_LARGE_OBJECT` The 'NATIONAL CHARACTER LARGE OBJECT' literal value.
`static PrimitiveType` `NATIONAL_CHARACTER_LARGE_OBJECT_LITERAL` The 'NATIONAL CHARACTER LARGE OBJECT' literal object.
`static PrimitiveType` `NATIONAL_CHARACTER_LITERAL` The 'NATIONAL CHARACTER' literal object.
`static int` `NATIONAL_CHARACTER_VARYING` The 'NATIONAL CHARACTER VARYING' literal value.
`static PrimitiveType` `NATIONAL_CHARACTER_VARYING_LITERAL` The 'NATIONAL CHARACTER VARYING' literal object.
`static int` `NUMERIC` The 'NUMERIC' literal value.
`static PrimitiveType` `NUMERIC_LITERAL` The 'NUMERIC' literal object.
`static int` `REAL` The 'REAL' literal value.
`static PrimitiveType` `REAL_LITERAL` The 'REAL' literal object.
`static int` `SMALLINT` The 'SMALLINT' literal value.
`static PrimitiveType` `SMALLINT_LITERAL` The 'SMALLINT' literal object.
`static int` `TIME` The 'TIME' literal value.
`static PrimitiveType` `TIME_LITERAL` The 'TIME' literal object.
`static int` `TIMESTAMP` The 'TIMESTAMP' literal value.
`static PrimitiveType` `TIMESTAMP_LITERAL` The 'TIMESTAMP' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Primitive Type' enumerators.
`static int` `XML_TYPE` The 'XML TYPE' literal value.
`static PrimitiveType` `XML_TYPE_LITERAL` The 'XML TYPE' literal object.

Method Summary
`static PrimitiveType` `get(int value)` Returns the 'Primitive Type' literal with the specified value.
`static PrimitiveType` `get(java.lang.String name)` Returns the 'Primitive Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARACTER

    public static final int CHARACTER

  The 'CHARACTER' literal value.

  See Also:
    `CHARACTER_LITERAL`, Constant Field Values

### CHARACTER_VARYING

    public static final int CHARACTER_VARYING

  The 'CHARACTER VARYING' literal value.

  See Also:
    `CHARACTER_VARYING_LITERAL`, Constant Field Values

### CHARACTER_LARGE_OBJECT

    public static final int CHARACTER_LARGE_OBJECT

  The 'CHARACTER LARGE OBJECT' literal value.

  See Also:
    `CHARACTER_LARGE_OBJECT_LITERAL`, Constant Field Values

### NATIONAL_CHARACTER

    public static final int NATIONAL_CHARACTER

  The 'NATIONAL CHARACTER' literal value.

  See Also:
    `NATIONAL_CHARACTER_LITERAL`, Constant Field Values

### NATIONAL_CHARACTER_VARYING

    public static final int NATIONAL_CHARACTER_VARYING

  The 'NATIONAL CHARACTER VARYING' literal value.

  See Also:
    `NATIONAL_CHARACTER_VARYING_LITERAL`, Constant Field Values

### NATIONAL_CHARACTER_LARGE_OBJECT

    public static final int NATIONAL_CHARACTER_LARGE_OBJECT

  The 'NATIONAL CHARACTER LARGE OBJECT' literal value.

  See Also:
    `NATIONAL_CHARACTER_LARGE_OBJECT_LITERAL`, Constant Field Values

### BINARY

    public static final int BINARY

  The 'BINARY' literal value.

  See Also:
    `BINARY_LITERAL`, Constant Field Values

### BINARY_VARYING

    public static final int BINARY_VARYING

  The 'BINARY VARYING' literal value.

  See Also:
    `BINARY_VARYING_LITERAL`, Constant Field Values

### BINARY_LARGE_OBJECT

    public static final int BINARY_LARGE_OBJECT

  The 'BINARY LARGE OBJECT' literal value.

  See Also:
    `BINARY_LARGE_OBJECT_LITERAL`, Constant Field Values

### NUMERIC

    public static final int NUMERIC

  The 'NUMERIC' literal value.

  See Also:
    `NUMERIC_LITERAL`, Constant Field Values

### DECIMAL

    public static final int DECIMAL

  The 'DECIMAL' literal value.

  See Also:
    `DECIMAL_LITERAL`, Constant Field Values

### SMALLINT

    public static final int SMALLINT

  The 'SMALLINT' literal value.

  See Also:
    `SMALLINT_LITERAL`, Constant Field Values

### INTEGER

    public static final int INTEGER

  The 'INTEGER' literal value.

  See Also:
    `INTEGER_LITERAL`, Constant Field Values

### BIGINT

    public static final int BIGINT

  The 'BIGINT' literal value.

  See Also:
    `BIGINT_LITERAL`, Constant Field Values

### FLOAT

    public static final int FLOAT

  The 'FLOAT' literal value.

  See Also:
    `FLOAT_LITERAL`, Constant Field Values

### REAL

    public static final int REAL

  The 'REAL' literal value.

  See Also:
    `REAL_LITERAL`, Constant Field Values

### DOUBLE_PRECISION

    public static final int DOUBLE_PRECISION

  The 'DOUBLE PRECISION' literal value.

  See Also:
    `DOUBLE_PRECISION_LITERAL`, Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  The 'BOOLEAN' literal value.

  See Also:
    `BOOLEAN_LITERAL`, Constant Field Values

### DATE

    public static final int DATE

  The 'DATE' literal value.

  See Also:
    `DATE_LITERAL`, Constant Field Values

### TIME

    public static final int TIME

  The 'TIME' literal value.

  See Also:
    `TIME_LITERAL`, Constant Field Values

### TIMESTAMP

    public static final int TIMESTAMP

  The 'TIMESTAMP' literal value.

  See Also:
    `TIMESTAMP_LITERAL`, Constant Field Values

### INTERVAL

    public static final int INTERVAL

  The 'INTERVAL' literal value.

  See Also:
    `INTERVAL_LITERAL`, Constant Field Values

### DATALINK

    public static final int DATALINK

  The 'DATALINK' literal value.

  See Also:
    `DATALINK_LITERAL`, Constant Field Values

### XML_TYPE

    public static final int XML_TYPE

  The 'XML TYPE' literal value.

  See Also:
    `XML_TYPE_LITERAL`, Constant Field Values

### CHARACTER_LITERAL

    public static final PrimitiveType CHARACTER_LITERAL

  The 'CHARACTER' literal object.

  If the meaning of 'CHARACTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHARACTER`

### CHARACTER_VARYING_LITERAL

    public static final PrimitiveType CHARACTER_VARYING_LITERAL

  The 'CHARACTER VARYING' literal object.

  If the meaning of 'CHARACTER VARYING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHARACTER_VARYING`

### CHARACTER_LARGE_OBJECT_LITERAL

    public static final PrimitiveType CHARACTER_LARGE_OBJECT_LITERAL

  The 'CHARACTER LARGE OBJECT' literal object.

  If the meaning of 'CHARACTER LARGE OBJECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHARACTER_LARGE_OBJECT`

### NATIONAL_CHARACTER_LITERAL

    public static final PrimitiveType NATIONAL_CHARACTER_LITERAL

  The 'NATIONAL CHARACTER' literal object.

  If the meaning of 'NATIONAL CHARACTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NATIONAL_CHARACTER`

### NATIONAL_CHARACTER_VARYING_LITERAL

    public static final PrimitiveType NATIONAL_CHARACTER_VARYING_LITERAL

  The 'NATIONAL CHARACTER VARYING' literal object.

  If the meaning of 'NATIONAL CHARACTER VARYING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NATIONAL_CHARACTER_VARYING`

### NATIONAL_CHARACTER_LARGE_OBJECT_LITERAL

    public static final PrimitiveType NATIONAL_CHARACTER_LARGE_OBJECT_LITERAL

  The 'NATIONAL CHARACTER LARGE OBJECT' literal object.

  If the meaning of 'NATIONAL CHARACTER LARGE OBJECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NATIONAL_CHARACTER_LARGE_OBJECT`

### BINARY_LITERAL

    public static final PrimitiveType BINARY_LITERAL

  The 'BINARY' literal object.

  If the meaning of 'BINARY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BINARY`

### BINARY_VARYING_LITERAL

    public static final PrimitiveType BINARY_VARYING_LITERAL

  The 'BINARY VARYING' literal object.

  If the meaning of 'BINARY VARYING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BINARY_VARYING`

### BINARY_LARGE_OBJECT_LITERAL

    public static final PrimitiveType BINARY_LARGE_OBJECT_LITERAL

  The 'BINARY LARGE OBJECT' literal object.

  If the meaning of 'BINARY LARGE OBJECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BINARY_LARGE_OBJECT`

### NUMERIC_LITERAL

    public static final PrimitiveType NUMERIC_LITERAL

  The 'NUMERIC' literal object.

  If the meaning of 'NUMERIC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NUMERIC`

### DECIMAL_LITERAL

    public static final PrimitiveType DECIMAL_LITERAL

  The 'DECIMAL' literal object.

  If the meaning of 'DECIMAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DECIMAL`

### SMALLINT_LITERAL

    public static final PrimitiveType SMALLINT_LITERAL

  The 'SMALLINT' literal object.

  If the meaning of 'SMALLINT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SMALLINT`

### INTEGER_LITERAL

    public static final PrimitiveType INTEGER_LITERAL

  The 'INTEGER' literal object.

  If the meaning of 'INTEGER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INTEGER`

### BIGINT_LITERAL

    public static final PrimitiveType BIGINT_LITERAL

  The 'BIGINT' literal object.

  If the meaning of 'BIGINT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BIGINT`

### FLOAT_LITERAL

    public static final PrimitiveType FLOAT_LITERAL

  The 'FLOAT' literal object.

  If the meaning of 'FLOAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FLOAT`

### REAL_LITERAL

    public static final PrimitiveType REAL_LITERAL

  The 'REAL' literal object.

  If the meaning of 'REAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REAL`

### DOUBLE_PRECISION_LITERAL

    public static final PrimitiveType DOUBLE_PRECISION_LITERAL

  The 'DOUBLE PRECISION' literal object.

  If the meaning of 'DOUBLE PRECISION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOUBLE_PRECISION`

### BOOLEAN_LITERAL

    public static final PrimitiveType BOOLEAN_LITERAL

  The 'BOOLEAN' literal object.

  If the meaning of 'BOOLEAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOOLEAN`

### DATE_LITERAL

    public static final PrimitiveType DATE_LITERAL

  The 'DATE' literal object.

  If the meaning of 'DATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DATE`

### TIME_LITERAL

    public static final PrimitiveType TIME_LITERAL

  The 'TIME' literal object.

  If the meaning of 'TIME' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TIME`

### TIMESTAMP_LITERAL

    public static final PrimitiveType TIMESTAMP_LITERAL

  The 'TIMESTAMP' literal object.

  If the meaning of 'TIMESTAMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TIMESTAMP`

### INTERVAL_LITERAL

    public static final PrimitiveType INTERVAL_LITERAL

  The 'INTERVAL' literal object.

  If the meaning of 'INTERVAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INTERVAL`

### DATALINK_LITERAL

    public static final PrimitiveType DATALINK_LITERAL

  The 'DATALINK' literal object.

  If the meaning of 'DATALINK' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DATALINK`

### XML_TYPE_LITERAL

    public static final PrimitiveType XML_TYPE_LITERAL

  The 'XML TYPE' literal object.

  If the meaning of 'XML TYPE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XML_TYPE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Primitive Type' enumerators.

Method Detail

### get

    public static PrimitiveType get(java.lang.String name)

  Returns the 'Primitive Type' literal with the specified name.

### get

    public static PrimitiveType get(int value)

  Returns the 'Primitive Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.